
From: Jeff Dike <jdike@addtoit.com>

Add the new 2.6.10 syscalls.

Signed-off-by: Jeff Dike <jdike@addtoit.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/um/kernel/sys_call_table.c |   40 +++++++++++++++++++++++++++++++-
 1 files changed, 39 insertions(+), 1 deletion(-)

diff -puN arch/um/kernel/sys_call_table.c~uml-add-the-new-syscalls arch/um/kernel/sys_call_table.c
--- 25/arch/um/kernel/sys_call_table.c~uml-add-the-new-syscalls	2005-01-09 23:44:18.114409680 -0800
+++ 25-akpm/arch/um/kernel/sys_call_table.c	2005-01-09 23:44:18.118409072 -0800
@@ -20,7 +20,7 @@
 #define NFSSERVCTL sys_ni_syscall
 #endif
 
-#define LAST_GENERIC_SYSCALL __NR_vserver
+#define LAST_GENERIC_SYSCALL __NR_vperfctr_read
 
 #if LAST_GENERIC_SYSCALL > LAST_ARCH_SYSCALL
 #define LAST_SYSCALL LAST_GENERIC_SYSCALL
@@ -48,6 +48,17 @@ extern syscall_handler_t sys_vfork;
 extern syscall_handler_t old_select;
 extern syscall_handler_t sys_modify_ldt;
 extern syscall_handler_t sys_rt_sigsuspend;
+extern syscall_handler_t sys_vserver;
+extern syscall_handler_t sys_mbind;
+extern syscall_handler_t sys_get_mempolicy;
+extern syscall_handler_t sys_set_mempolicy;
+extern syscall_handler_t sys_sys_kexec_load;
+extern syscall_handler_t sys_sys_setaltroot;
+extern syscall_handler_t sys_vperfctr_open;
+extern syscall_handler_t sys_vperfctr_control;
+extern syscall_handler_t sys_vperfctr_unlink;
+extern syscall_handler_t sys_vperfctr_iresume;
+extern syscall_handler_t sys_vperfctr_read;
 
 syscall_handler_t *sys_call_table[] = {
 	[ __NR_restart_syscall ] = (syscall_handler_t *) sys_restart_syscall,
@@ -247,7 +258,34 @@ syscall_handler_t *sys_call_table[] = {
 	[ __NR_clock_gettime ] (syscall_handler_t *) sys_clock_gettime,
 	[ __NR_clock_getres ] (syscall_handler_t *) sys_clock_getres,
 	[ __NR_clock_nanosleep ] (syscall_handler_t *) sys_clock_nanosleep,
+	[ __NR_statfs64 ] = (syscall_handler_t *) sys_statfs64,
+	[ __NR_fstatfs64 ] = (syscall_handler_t *) sys_fstatfs64,
 	[ __NR_tgkill ] (syscall_handler_t *) sys_tgkill,
+	[ __NR_utimes ] = (syscall_handler_t *) sys_utimes,
+	[ __NR_fadvise64_64 ] = (syscall_handler_t *) sys_fadvise64_64,
+	[ __NR_vserver ] = (syscall_handler_t *) sys_vserver,
+	[ __NR_mbind ] = (syscall_handler_t *) sys_mbind,
+	[ __NR_get_mempolicy ] = (syscall_handler_t *) sys_get_mempolicy,
+	[ __NR_set_mempolicy ] = (syscall_handler_t *) sys_set_mempolicy,
+	[ __NR_mq_open ] = (syscall_handler_t *) sys_mq_open,
+	[ __NR_mq_unlink ] = (syscall_handler_t *) sys_mq_unlink,
+	[ __NR_mq_timedsend ] = (syscall_handler_t *) sys_mq_timedsend,
+	[ __NR_mq_timedreceive ] = (syscall_handler_t *) sys_mq_timedreceive,
+	[ __NR_mq_notify ] = (syscall_handler_t *) sys_mq_notify,
+	[ __NR_mq_getsetattr ] = (syscall_handler_t *) sys_mq_getsetattr,
+	[ __NR_sys_kexec_load ] = (syscall_handler_t *) sys_kexec_load,
+	[ __NR_waitid ] = (syscall_handler_t *) sys_waitid,
+#if 0
+	[ __NR_sys_setaltroot ] = (syscall_handler_t *) sys_sys_setaltroot,
+#endif
+	[ __NR_add_key ] = (syscall_handler_t *) sys_add_key,
+	[ __NR_request_key ] = (syscall_handler_t *) sys_request_key,
+	[ __NR_keyctl ] = (syscall_handler_t *) sys_keyctl,
+	[ __NR_vperfctr_open ] = (syscall_handler_t *) sys_vperfctr_open,
+	[ __NR_vperfctr_control ] = (syscall_handler_t *) sys_vperfctr_control,
+	[ __NR_vperfctr_unlink ] = (syscall_handler_t *) sys_vperfctr_unlink,
+	[ __NR_vperfctr_iresume ] = (syscall_handler_t *) sys_vperfctr_iresume,
+	[ __NR_vperfctr_read ] = (syscall_handler_t *) sys_vperfctr_read,
 
 	ARCH_SYSCALLS
 	[ LAST_SYSCALL + 1 ... NR_syscalls ] = 
_
